Public Class HomeServerSettingsExtender
    Implements ISettingsTab

    Private m_tabControl As SettingsTabUserControl
    Private consoleServices As IConsoleServices

    Public Sub New(ByVal width As Integer, ByVal height As Integer, ByVal consoleServices As IConsoleServices)
        Me.m_tabControl = New SettingsTabUserControl()
        Me.consoleServices = consoleServices
    End Sub

    Public ReadOnly Property SettingsGuid() As Guid Implements ISettingsTab.SettingsGuid
        Get
            Return New Guid("2fe44eae-f783-4cbe-b898-f31305ebb305")
        End Get
    End Property

    Public ReadOnly Property TabControl() As Control Implements ISettingsTab.TabControl
        Get
            Return m_tabControl
        End Get
    End Property

    Public ReadOnly Property TabImage() As Bitmap Implements ISettingsTab.TabImage
        Get
            Return My.Resources.DefaultToolBarIcon
        End Get
    End Property

    Public ReadOnly Property TabText() As String Implements ISettingsTab.TabText
        Get
            Return "Home Server Add-In1"
        End Get
    End Property

    Public Function Commit() As Boolean Implements ISettingsTab.Commit
        Return False
    End Function

    Public Function GetHelp() As Boolean Implements ISettingsTab.GetHelp
        Return False
    End Function

End Class
