Public Class HomeServerTabExtender
    Implements IConsoleTab

    Private consoleServices As IConsoleServices
    Private m_tabControl As MainTabUserControl

    Public Sub New(ByVal width As Integer, ByVal height As Integer, ByVal consoleServices As IConsoleServices)
        Me.m_tabControl = New MainTabUserControl()
        Me.consoleServices = consoleServices
    End Sub

    Public ReadOnly Property SettingsGuid() As Guid Implements IConsoleTab.SettingsGuid
        Get
            Return New Guid("2fe44eae-f783-4cbe-b898-f31305ebb305")
        End Get
    End Property

    Public ReadOnly Property TabControl() As Control Implements IConsoleTab.TabControl
        Get
            Return m_tabControl
        End Get
    End Property

    Public ReadOnly Property TabImage() As Bitmap Implements IConsoleTab.TabImage
        Get
            Return My.Resources.DefaultToolBarIcon
        End Get
    End Property

    Public ReadOnly Property TabText() As String Implements IConsoleTab.TabText
        Get
            Return "Home Server Add-In1"
        End Get
    End Property

    Public Function GetHelp() As Boolean Implements IConsoleTab.GetHelp
        Return False
    End Function
End Class
